=== debian/changelog ===
prometheus-postgres-exporter (0.1.1+ds-1) unstable; urgency=medium

  * Initial packaging. (Closes: #854014).

 -- Martín Ferrari <tincho@debian.org>  Sat, 04 Feb 2017 16:50:34 +0000
