=== debian/changelog ===
prometheus-postgres-exporter (0.2.0+ds-2) unstable; urgency=medium

  * Add autopkgtest.

 -- Martín Ferrari <tincho@debian.org>  Sun, 21 May 2017 00:07:32 +0200

prometheus-postgres-exporter (0.2.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Martín Ferrari <tincho@debian.org>  Fri, 19 May 2017 22:25:36 +0000
