=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus-postgres-exporter.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus-postgres-exporter.git
 Homepage: https://github.com/wrouesnel/postgres_exporter/
+Testsuite: autopkgtest
 
 Package: prometheus-postgres-exporter
 Architecture: any
