=== debian/tests/control ===
Tests: build-test
Depends: @builddeps@
