=== debian/changelog ===
prometheus-postgres-exporter (0.4.1+ds-2) unstable; urgency=medium

  * Update defaults for new cmdline flags format.

 -- Martín Ferrari <tincho@debian.org>  Thu, 14 Dec 2017 17:08:11 +0000

prometheus-postgres-exporter (0.4.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Add test fixtures.
  * Packaging updates from cme; compat bump; make dep on daemon
    conditional.
  * Remove unused lintian overrides.
  * Use automatic autopkgtests
  * Use pkg-info.mk and XS-Go-Import-Path.

 -- Martín Ferrari <tincho@debian.org>  Thu, 14 Dec 2017 16:59:24 +0000
