=== debian/control ===
Source: prometheus-postgres-exporter
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-github-blang-semver-dev,
               golang-github-lib-pq-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-common-dev,
               golang-gopkg-check.v1-dev,
               golang-gopkg-yaml.v2-dev,
Standards-Version: 4.1.2
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus-postgres-exporter.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus-postgres-exporter.git
Homepage: https://github.com/wrouesnel/postgres_exporter/
XS-Go-Import-Path: github.com/wrouesnel/postgres_exporter

Package: prometheus-postgres-exporter
Architecture: any
Depends: daemon | systemd-sysv,
         ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: Prometheus exporter for PostgreSQL server metrics
 Prometheus exporter for PostgreSQL server metrics, written in Go.
 Supportes Postgres versions 9.1 and up.
