=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

#export DH_VERBOSE=1
export DH_GOLANG_INSTALL_EXTRA := tests/

BUILDDIR := build

%:
	dh $@ --buildsystem=golang --with=golang --builddir=$(BUILDDIR)

override_dh_auto_install:
	cp -v $(BUILDDIR)/bin/postgres_exporter \
            debian/$(DEB_SOURCE)/usr/bin/$(DEB_SOURCE)
