## prometheus-postgres-exporter 0.4.6%2Bds

=== debian/changelog ===
prometheus-postgres-exporter (0.4.6+ds-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Add missing --inherit flag to daemon; can't work without it!
  * Update Standards-Version with no changes.

 -- Martín Ferrari <tincho@debian.org>  Mon, 08 Oct 2018 18:53:49 +0000

prometheus-postgres-exporter (0.4.6+ds-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Martín Ferrari ]
  * New upstream release.
  * debian/rules: Install test files.
  * Bump debhelper compat level to 11.
  * debian/copyright: Document Files-Excluded.
  * debian/control: Bump Standards-Version (no changes).
  * debian/postinst: Do not change permissions recursively.

 -- Martín Ferrari <tincho@debian.org>  Tue, 07 Aug 2018 16:07:06 +0000

prometheus-postgres-exporter (0.4.1+ds-2~bpo9+3) stretch-backports; urgency=medium

  * Backport packaging improvements from sid.
  * Add gbp.conf.
  * debian/control: Tighten dependency on prometheus-common.

 -- Martín Ferrari <tincho@debian.org>  Tue, 07 Aug 2018 16:47:46 +0000

prometheus-postgres-exporter (0.4.1+ds-2~bpo9+2) stretch-backports; urgency=medium

  * Add missing depends on kingpin; fixes build failures in BPO.

 -- Martín Ferrari <tincho@debian.org>  Tue, 09 Jan 2018 15:16:31 +0000

prometheus-postgres-exporter (0.4.1+ds-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Martín Ferrari <tincho@debian.org>  Thu, 21 Dec 2017 03:07:34 +0000

prometheus-postgres-exporter (0.2.0+ds-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Martín Ferrari <tincho@debian.org>  Fri, 03 Nov 2017 06:12:29 +0000
