=== debian/control ===
--- 
+++ 
@@ -4,18 +4,19 @@
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-golang,
                golang-any,
                golang-github-blang-semver-dev,
                golang-github-lib-pq-dev,
                golang-github-prometheus-client-golang-dev,
-               golang-github-prometheus-common-dev,
+               golang-github-prometheus-common-dev (>= 0+git20180518.7600349),
+               golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-check.v1-dev,
                golang-gopkg-yaml.v2-dev,
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus-postgres-exporter.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus-postgres-exporter.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-postgres-exporter
+Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-postgres-exporter.git
 Homepage: https://github.com/wrouesnel/postgres_exporter/
 XS-Go-Import-Path: github.com/wrouesnel/postgres_exporter
