## prometheus-postgres-exporter 0.4.6+ds

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
                golang-github-blang-semver-dev,
                golang-github-lib-pq-dev,
                golang-github-prometheus-client-golang-dev,
-               golang-github-prometheus-common-dev (>= 0+git20180518.7600349),
+               golang-github-prometheus-common-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-check.v1-dev,
                golang-gopkg-yaml.v2-dev,
-Standards-Version: 4.2.1
+Standards-Version: 4.1.5
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-postgres-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-postgres-exporter.git
 Homepage: https://github.com/wrouesnel/postgres_exporter/
