=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 include /usr/share/dpkg/pkg-info.mk
 
 #export DH_VERBOSE=1
-export DH_GOLANG_INSTALL_EXTRA := tests/
+export DH_GOLANG_INSTALL_EXTRA := cmd/postgres_exporter/tests/
 
 BUILDDIR := build
