=== debian/changelog ===
prometheus-postgres-exporter (0.4.7+ds-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Add missing sphinxdoc dependency.
  * Name update.

 -- Martina Ferrari <tincho@debian.org>  Mon, 28 Oct 2019 15:58:25 +0000

prometheus-postgres-exporter (0.4.7+ds-2) unstable; urgency=medium

  * Use correct namespace for version metadata and remove unused vars.

 -- Martín Ferrari <tincho@debian.org>  Sun, 10 Feb 2019 18:58:09 +0000

prometheus-postgres-exporter (0.4.7+ds-1) unstable; urgency=medium

  * New upstream release. Closes: #920346.
  * debian/gbp.conf: Update repo layout.
  * Update Standards-Version with no changes.
  * Add manpage and version metadata,

 -- Martín Ferrari <tincho@debian.org>  Tue, 05 Feb 2019 04:51:10 +0000

prometheus-postgres-exporter (0.4.6+ds-2) unstable; urgency=medium

  * Update Standards-Version with no changes.
  * Add missing --inherit flag to daemon; can't work without it!

 -- Martín Ferrari <tincho@debian.org>  Mon, 08 Oct 2018 19:03:30 +0000
