=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: prometheus-postgres-exporter
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Martín Ferrari <tincho@debian.org>,
+Uploaders: Martina Ferrari <tincho@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
@@ -10,11 +10,11 @@
                golang-github-blang-semver-dev,
                golang-github-lib-pq-dev,
                golang-github-prometheus-client-golang-dev,
-               golang-github-prometheus-common-dev,
+               golang-github-prometheus-common-dev (>= 0+git20180518.7600349),
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-check.v1-dev,
                golang-gopkg-yaml.v2-dev,
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-postgres-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-postgres-exporter.git
 Homepage: https://github.com/wrouesnel/postgres_exporter/
@@ -25,6 +25,7 @@
 Depends: daemon | systemd-sysv,
          ${misc:Depends},
          ${shlibs:Depends},
+         ${sphinxdoc:Depends},
 Built-Using: ${misc:Built-Using},
 Description: Prometheus exporter for PostgreSQL server metrics
  Prometheus exporter for PostgreSQL server metrics, written in Go.
