## prometheus-postgres-exporter 0.5.1+ds

=== debian/changelog ===
prometheus-postgres-exporter (0.5.1+ds-1) unstable; urgency=medium

  [ Sven Hoexter ]
  * New upstream release.

 -- Martina Ferrari <tincho@debian.org>  Fri, 02 Aug 2019 16:01:05 +0000
