## prometheus-postgres-exporter 0.8.0+ds

=== debian/changelog ===
prometheus-postgres-exporter (0.8.0+ds-1ubuntu0.1) focal-security; urgency=medium

  * No-change rebuild due to golang-1.13 update

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Tue, 11 Oct 2022 02:04:23 +0200

prometheus-postgres-exporter (0.8.0+ds-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release.
  * Add myself to uploaders.
  * Bump minimum required version of golang-github-lib-pq to support
    SCRAM-SHA-256 authentication.
  * Update description (now supports Postgres 9.4 and up).
  * lintian: fix rules-requires-root.

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Martina Ferrari ]
  * Update initscript.
  * Update my name.

 -- Martina Ferrari <tincho@debian.org>  Mon, 20 Jan 2020 12:25:39 +0000

prometheus-postgres-exporter (0.5.1+ds-2) unstable; urgency=medium

  * Name update.
  * Add missing sphinxdoc dependency.
  * Install sample queries.yaml file. Closes: #939507
  * Fix spelling mistake in source.
  * Update Standards-Version and Compat level. Add needed Pre-Depends for
    sysvinit.

 -- Martina Ferrari <tincho@debian.org>  Mon, 28 Oct 2019 16:59:41 +0000
