=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*\/)?v?(\d[\d\.]*)\.tar\.gz/prometheus-postgres-exporter-$1.tar.gz/,dversionmangle=s/\+ds\d*$//" \
         https://github.com/wrouesnel/postgres_exporter/tags \
         (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
