=== debian/changelog ===
prometheus-postgres-exporter (0.10.1-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release (fixes ineffective --log.level flag)
  * Replace golang-github-go-kit-kit-dev build-dep with
    golang-github-go-kit-log-dev
  * Refresh patches

  [ Martina Ferrari ]
  * Update my name and email address

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 16 Jan 2022 19:13:29 +0000

prometheus-postgres-exporter (0.10.0-1) unstable; urgency=medium

  * New upstream version
  * Add new build-deps
    - golang-github-go-kit-kit-dev
    - golang-github-prometheus-exporter-toolkit-dev
  * Drop +ds version suffix, since we no longer need to unvendor
  * Update maintainer / uploader email addresses
  * Update upstream project URLs / import paths
  * Bump debhelper-compat version to 13
  * Bump Standards-Version to 4.6.0 (no changes)
  * Update gbp configuration following Go Team new workflow
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Update copyright holders
  * Add NOTICE to docs as required by Apache-2.0 license
  * Update debian/watch
  * Add missing maint-script adduser dependency
  * Change systemd service to Restart=on-failure

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 11 Dec 2021 12:15:19 +0000
