=== debian/control ===
Source: prometheus-postgres-exporter
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martina Ferrari <tina@debian.org>,
           Daniel Swarbrick <dswarbrick@debian.org>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-blang-semver-dev,
               golang-github-go-kit-log-dev,
               golang-github-lib-pq-dev (>= 1.2.0~),
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-common-dev,
               golang-github-prometheus-exporter-toolkit-dev,
               golang-gopkg-alecthomas-kingpin.v2-dev,
               golang-gopkg-check.v1-dev,
               golang-gopkg-yaml.v2-dev,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-postgres-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-postgres-exporter.git
Homepage: https://github.com/prometheus-community/postgres_exporter
XS-Go-Import-Path: github.com/prometheus-community/postgres_exporter

Package: prometheus-postgres-exporter
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: adduser,
         daemon | systemd-sysv,
         ${misc:Depends},
         ${shlibs:Depends},
         ${sphinxdoc:Depends},
Built-Using: ${misc:Built-Using},
Description: Prometheus exporter for PostgreSQL server metrics
 Prometheus exporter for PostgreSQL server metrics, written in Go.
 Supports Postgres versions 9.4 and up.
