=== debian/rules ===
--- 
+++ 
@@ -5,14 +5,24 @@
 export DH_GOLANG_INSTALL_EXTRA := cmd/postgres_exporter/tests/
 
 BUILDDIR := $(CURDIR)/build
+METAPKG := github.com/prometheus/common
 
+BRANCH     := debian/sid
+USER       := team+pkg-go@tracker.debian.org
+BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
+    +%Y%m%d-%H:%M:%S)
+GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
 BUILDTAGS  :=
 BUILDFLAGS  = -tags "$(BUILDTAGS)" -ldflags \
-  " -X main.Version=$(DEB_VERSION_UPSTREAM)"
+  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
+    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
+	-X $(METAPKG)/version.Branch=$(BRANCH)\
+	-X $(METAPKG)/version.BuildUser=$(USER)\
+	-X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
+	-X $(METAPKG)/version.GoVersion=$(GO_VERSION)"
 
 %:
-	dh $@ --buildsystem=golang --with=golang \
-            --builddirectory=$(BUILDDIR)
+	dh $@ --buildsystem=golang --builddirectory=$(BUILDDIR)
 
 BINNAME := $(DEB_SOURCE)
 WHATIS := "$(BINNAME) \\- Prometheus exporter for PostgreSQL"
@@ -20,7 +30,7 @@
 override_dh_auto_build:
 	dh_auto_build -- $(BUILDFLAGS)
 	# Rename the binary to match the debian package.
-	cp -v $(BUILDDIR)/bin/postgres_exporter $(BUILDDIR)/bin/$(BINNAME)
+	mv -v $(BUILDDIR)/bin/postgres_exporter $(BUILDDIR)/bin/$(BINNAME)
 	build/bin/$(BINNAME) --help-man > build/$(BINNAME).1
 	# Remove build user/build date/go version headers, which is ugly.
 	sed -i -e '/^  /d' build/$(BINNAME).1
