## prometheus-postgres-exporter 0.11.1

=== debian/changelog ===
prometheus-postgres-exporter (0.11.1-3) unstable; urgency=medium

  * Add new 01-support-newer-exporter-toolkit.patch
  * Bump minimum required golang-github-prometheus-exporter-toolkit-dev
    version to 0.8.0
  * Remove --help output from default file

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 15 Dec 2022 02:13:05 +0000

prometheus-postgres-exporter (0.11.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 15:09:05 +0100

prometheus-postgres-exporter (0.11.1-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete patch 01-Fix_spelling_errors (applied upstream)
  * Bump Standards-Version to 4.6.1 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 27 Aug 2022 20:48:08 +0000
