=== debian/control ===
--- 
+++ 
@@ -13,11 +13,11 @@
                golang-github-lib-pq-dev (>= 1.2.0~),
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-common-dev,
-               golang-github-prometheus-exporter-toolkit-dev,
+               golang-github-prometheus-exporter-toolkit-dev (>= 0.8.0),
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-check.v1-dev,
                golang-gopkg-yaml.v2-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-postgres-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-postgres-exporter.git
