## prometheus-postgres-exporter 0.13.2

=== debian/changelog ===
prometheus-postgres-exporter (0.13.2-1ubuntu0.1) mantic-security; urgency=medium

  * No-change rebuild due to golang-1.20, golang1-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 29 Jan 2024 11:22:24 +0530

prometheus-postgres-exporter (0.13.2-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:17:47 +1200

prometheus-postgres-exporter (0.13.2-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: fix override_dh_auto_install and drop redundant
    debian/install

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 24 Jul 2023 01:11:59 +0000

prometheus-postgres-exporter (0.13.1-2) unstable; urgency=medium

  * Convert quilt patches to gbp-pq format
  * Add new Fix-collector-test-int32-overflows.patch to fix test build failures
    on 32-bit archs caused by untyped int overflows

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 04 Jul 2023 16:23:56 +0000

prometheus-postgres-exporter (0.13.1-1) unstable; urgency=medium

  * New upstream release
  * Add missing Build-Depends
  * Bump prometheus libraries Build-Depends versions

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 04 Jul 2023 11:59:43 +0000

prometheus-postgres-exporter (0.12.1-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete 01-support-newer-exporter-toolkit.patch
  * Add new 01-Revert_kingpin_import_path.patch
  * Bump various Build-Depends version constraints
  * Add missing Build-Depends:
    - golang-github-prometheus-client-model-dev
    - golang-gopkg-yaml.v3-dev
  * Bump Standards-Version to 4.6.2 (no changes)
  * Add NEWS entry regarding breaking changes from upstream

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 25 Jun 2023 15:21:31 +0000
