=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: prometheus-postgres-exporter
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tina@debian.org>,
            Daniel Swarbrick <dswarbrick@debian.org>,
 Section: net
@@ -9,15 +10,19 @@
                dh-sequence-golang,
                golang-any,
                golang-github-blang-semver-dev,
+               golang-github-data-dog-go-sqlmock-dev,
                golang-github-go-kit-log-dev,
-               golang-github-lib-pq-dev (>= 1.2.0~),
-               golang-github-prometheus-client-golang-dev,
-               golang-github-prometheus-common-dev,
-               golang-github-prometheus-exporter-toolkit-dev (>= 0.8.0),
+               golang-github-lib-pq-dev (>= 1.10.7),
+               golang-github-prometheus-client-golang-dev (>= 1.15.1),
+               golang-github-prometheus-client-model-dev (>= 0.4.0),
+               golang-github-prometheus-common-dev (>= 0.44.0),
+               golang-github-prometheus-exporter-toolkit-dev (>= 0.10.0),
+               golang-github-smartystreets-goconvey-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-check.v1-dev,
                golang-gopkg-yaml.v2-dev,
-Standards-Version: 4.6.1
+               golang-gopkg-yaml.v3-dev,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-postgres-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-postgres-exporter.git
