=== debian/rules ===
--- 
+++ 
@@ -40,3 +40,4 @@
 	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' build/$(BINNAME).1
 
 override_dh_auto_install:
+	dh_auto_install -- --no-source
