=== debian/changelog ===
prometheus-postgres-exporter (0.15.0-1ubuntu0.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 21 Jul 2025 11:11:58 +1000

prometheus-postgres-exporter (0.15.0-1ubuntu0.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 08 Nov 2024 13:30:24 +1000

prometheus-postgres-exporter (0.15.0-1ubuntu0.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 15 Jul 2024 10:52:59 +0530

prometheus-postgres-exporter (0.15.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete patches (applied upstream):
    - 0002-Fix-collector-test-untyped-int-overflows.patch
    - 0003-Fix-TestMetric-fixtures.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 27 Oct 2023 22:51:06 +0000

prometheus-postgres-exporter (0.14.0-3) unstable; urgency=medium

  * Add new Fix-TestMetric-fixtures.patch (Closes: #1054202)
  * Bump minimum required golang-github-prometheus-client-golang-dev version
    to 1.17.0

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 20 Oct 2023 17:28:09 +0000

prometheus-postgres-exporter (0.14.0-2) unstable; urgency=medium

  * Add new Fix-collector-test-untyped-int-overflows.patch to fix a new case
    of test build failures on 32-bit archs

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 21 Sep 2023 12:31:48 +0000

prometheus-postgres-exporter (0.14.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete Fix-collector-test-int32-overflows.patch (applied upstream)
  * debian/rules: modernize style to match other exporter packages

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 20 Sep 2023 11:37:30 +0000
