=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                golang-github-data-dog-go-sqlmock-dev,
                golang-github-go-kit-log-dev,
                golang-github-lib-pq-dev (>= 1.10.7),
-               golang-github-prometheus-client-golang-dev (>= 1.15.1),
+               golang-github-prometheus-client-golang-dev (>= 1.17.0),
                golang-github-prometheus-client-model-dev (>= 0.4.0),
                golang-github-prometheus-common-dev (>= 0.44.0),
                golang-github-prometheus-exporter-toolkit-dev (>= 0.10.0),
