## prometheus-postgres-exporter 0.16.0

=== debian/changelog ===
prometheus-postgres-exporter (0.16.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete patches:
    - 0002-Support-prometheus-common-v0.50.0.patch
    - 0003-Cherry-pick-upstream-PR-1048.patch
  * Refresh patches
  * Drop no longer used golang-github-go-kit-log-dev Build-Depends
  * Bump golang-any Build-Depends version constraint to (>= 2:1.21~) due to
    use of log/slog package

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 19 Nov 2024 21:47:39 +0000

prometheus-postgres-exporter (0.15.0-4) unstable; urgency=medium

  * Add new 0003-Cherry-pick-upstream-PR-1048.patch (Closes: #1071260)
  * Bump Standards-Version to 4.7.0 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 22 Sep 2024 22:14:46 +0000

prometheus-postgres-exporter (0.15.0-3) unstable; urgency=medium

  * Update debian/README with modernized instructions for creating the
    Postgres exporter user, along with instructions for cleaning up the
    previous method (Closes: #1067405)
  * Modernize init.d script and fix a few copypasta mistakes
  * Drop obsolete Depends: daemon | systemd-sysv
  * Add missing debian/logrotate

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 07 May 2024 19:18:24 +0000

prometheus-postgres-exporter (0.15.0-2) unstable; urgency=medium

  * Add new 0002-Support-prometheus-common-v0.50.0.patch
  * Bump golang-github-prometheus-client-golang-dev version constraint
    (>= 1.19.0)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 17 Mar 2024 02:25:29 +0000
