=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: prometheus-postgres-exporter
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tina@debian.org>,
            Daniel Swarbrick <dswarbrick@debian.org>,
 Section: net
@@ -8,12 +7,11 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
-               golang-any,
+               golang-any (>= 2:1.21~),
                golang-github-blang-semver-dev,
                golang-github-data-dog-go-sqlmock-dev,
-               golang-github-go-kit-log-dev,
                golang-github-lib-pq-dev (>= 1.10.7),
-               golang-github-prometheus-client-golang-dev (>= 1.17.0),
+               golang-github-prometheus-client-golang-dev (>= 1.19.0),
                golang-github-prometheus-client-model-dev (>= 0.4.0),
                golang-github-prometheus-common-dev (>= 0.44.0),
                golang-github-prometheus-exporter-toolkit-dev (>= 0.10.0),
@@ -22,7 +20,7 @@
                golang-gopkg-check.v1-dev,
                golang-gopkg-yaml.v2-dev,
                golang-gopkg-yaml.v3-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-postgres-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-postgres-exporter.git
@@ -33,7 +31,6 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends},
 Depends: adduser,
-         daemon | systemd-sysv,
          ${misc:Depends},
          ${shlibs:Depends},
          ${sphinxdoc:Depends},
