## prometheus-postgres-exporter 0.17.0

=== debian/changelog ===
prometheus-postgres-exporter (0.17.0-1) unstable; urgency=medium

  * New upstream release
  * Bump golang-github-prometheus-exporter-toolkit-dev version constraint
    (>= 0.13.0)
  * Bump Standards-Version to 4.7.1 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 23 Feb 2025 02:24:55 +0000
