## prometheus-postgres-exporter 0.17.1

=== debian/changelog ===
prometheus-postgres-exporter (0.17.1-1) unstable; urgency=medium

  * New upstream (bugfix) release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 26 Feb 2025 15:59:09 +0000
