=== debian/control ===
--- 
+++ 
@@ -14,13 +14,13 @@
                golang-github-prometheus-client-golang-dev (>= 1.19.0),
                golang-github-prometheus-client-model-dev (>= 0.4.0),
                golang-github-prometheus-common-dev (>= 0.44.0),
-               golang-github-prometheus-exporter-toolkit-dev (>= 0.10.0),
+               golang-github-prometheus-exporter-toolkit-dev (>= 0.13.0),
                golang-github-smartystreets-goconvey-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-check.v1-dev,
                golang-gopkg-yaml.v2-dev,
                golang-gopkg-yaml.v3-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-postgres-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-postgres-exporter.git
